package com.lqkj.link.module.zone.controller;

import com.lqkj.link.module.zone.domain.LayerInfo;
import com.lqkj.link.module.zone.domain.TmpGeomInfo;
import com.lqkj.link.module.zone.domain.TmpLayerInfo;
import com.lqkj.link.module.zone.service.LayerInfoService;
import com.lqkj.link.module.zone.service.TmpLayerInfoService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static com.lqkj.link.APIVersion.VERSION_V2;

@RestController
@RequestMapping("/tmpLayer")
@Tag(name = "临时图层信息", description = "临时图层信息")
public class TmpLayerInfoController {
    private final TmpLayerInfoService tmpLayerInfoService;

    public TmpLayerInfoController(TmpLayerInfoService tmpLayerInfoService) {
        this.tmpLayerInfoService = tmpLayerInfoService;
    }

    @Operation(
            summary = "5.1.2.17 临时图层目录读取接口",
            description = "5.1.2.17 临时图层目录读取接口",
            parameters = {
                    @Parameter(name = "zoneId", description = "作品ID", required = true)
            }
    )
    @PostMapping("/findAll")
    public List<TmpLayerInfo> findByZone(@RequestParam Integer zoneId,
                                         @RequestParam(required = false, defaultValue = "0") Integer userId,
                                         @RequestParam Integer status) {
        return tmpLayerInfoService.findAll(zoneId, userId, status);
    }

}
