package com.lqkj.link.module.zone.domain;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.hypersistence.utils.hibernate.type.json.JsonType;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.Type;
import org.locationtech.jts.geom.Point;

import java.util.Date;

@Entity
@Table(name = "tmp_geom_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class TmpGeomInfo {
    @Id
    @Column(name = "tmp_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer tmpId;

    @Column(name = "zone_id")
    private Integer zoneId;

    @Column(name = "model_id")
    private Integer modelId;

    @Column(name = "layer_id")
    private String layerId;

    @Column(name = "geom_name")
    private String geomName;

    @Column(name = "building_id")
    private Integer buildingId;

    @Column(name = "floor")
    private Integer floor;

    @Column(name = "room_id")
    private Integer roomId;

    @Column(name = "geom", columnDefinition = "Geometry")
    @JsonIgnore
    private Point geom;

    @Type(JsonType.class)
    @Column(name = "properties", columnDefinition = "jsonb")
    private JSONArray properties;

    @Column(name = "locking")
    private Boolean locking;

    @Transient
    private JSONObject location;

    @Transient
    private String Name;
    @Type(JsonType.class)
    @Column(name = "trans", columnDefinition = "jsonb")
    @JsonIgnore
    private JSONObject trans;

    @Transient
    private String modelPath;

    @Column(name = "pics")
    private String pics;

    @Column(name = "video_url")
    private String videoUrl;

    @Column(name = "audio_url")
    private String audioUrl;

    @Column(name = "brief")
    private String brief;

    @Column(name = "navigation")
    private Boolean navigation;

    @Column(name = "navigation_end")
    private String navigationEnd;

    @Column(name = "type_number")
    private Integer typeNumber;

    @Column(name = "static_id")
    private Integer staticId;

    /**
     * 材质ID
     */
    @Column(name = "material_id")
    private Integer materialId;

    /**
     * 贴图ID
     * @return
     */
    @Column(name = "texture_id")
    private Integer textureId;

    /**
     * 颜色
     * @return
     */
    @Column(name = "color")
    private String color;

    @Column(name = "user_id")
    private Integer userId;

    @Column(name = "status")
    private Integer status;

    @Column(name = "create_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date createTime;

    @Column(name = "tmp_layer_id")
    private Integer tmpLayerId;

    public JSONObject getLocation() {
        if (location == null) return trans;
        return location;
    }

    public String getName() {
        return tmpId.toString();
    }

}
