package com.lqkj.link.module.zone.repository;

import com.lqkj.link.module.zone.domain.LayerInfo;
import com.lqkj.link.module.zone.domain.TmpGeomInfo;
import com.lqkj.link.module.zone.domain.TmpLayerInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface TmpLayerInfoRepository extends JpaRepository<TmpLayerInfo, Integer> {

    @Query(nativeQuery = true,
            value = "select * from tmp_layer_info where zone_id = :zoneId and status = :status and " +
                    "(:userId = 0 or user_id = :userId) group by user_id,tmp_layer_id order by create_time desc "
    )
    List<TmpLayerInfo> findAllByParam(Integer zoneId, Integer userId, Integer status);
}
